server:
  port: 48080
  forward-headers-strategy: framework

--- #################### 数据库相关配置 ####################83kTnuLWPczi
spring:
  datasource:
    dynamic: # 多数据源配置
      primary: master
      datasource:
        #                master:
        #                  # MYSQL数据库 主库，业务库
        #                  name: jeelowcode_pre_master
        #                  url: jdbc:dm://10.28.124.68:5236?schema=CSCN_MASTER&compatibleMode=oracle
        #                  username: SYSDBA
        #                  password: 83kTnuLWPczi
        #                jeelowcode: # 从库，框架库
        #                  name: jeelowcode_pre_frame
        #                  url: jdbc:dm://10.28.124.68:5236?schema=CSCN_FRAME&compatibleMode=oracle
        #                  username: SYSDBA
        #                  password: 83kTnuLWPczi
        #                slave: # 日志库单独
        #                  name: dev_jeelowcode_log
        #                  lazy: true # 开启懒加载，保证启动速度
        #                  url: jdbc:dm://10.28.124.68:5236?schema=CSCN_LOG&compatibleMode=oracle
        #                  username: SYSDBA
        #                  password: 83kTnuLWPczi

        master:
          # MYSQL数据库 主库，业务库
          name: jeelowcode_pre_master
          url: jdbc:dm://localhost:5236?schema=LOWCODE_MASTER&compatibleMode=oracle
          driver-class-name: dm.jdbc.driver.DmDriver
          username: SYSDBA
          password: 83kTnuLWPczi
        jeelowcode: # 从库，框架库
          name: jeelowcode_pre_frame
          url: jdbc:dm://localhost:5236?schema=LOWCODE_FRAME&compatibleMode=oracle
          driver-class-name: dm.jdbc.driver.DmDriver
          username: SYSDBA
          password: 83kTnuLWPczi
        slave: # 日志库单独
          name: dev_jeelowcode_log
          lazy: true # 开启懒加载，保证启动速度
          url: jdbc:dm://localhost:5236?schema=LOWCODE_LOG&compatibleMode=oracle
          driver-class-name: dm.jdbc.driver.DmDriver
          username: SYSDBA
          password: 83kTnuLWPczi

  # Redis 配置。Redisson 默认的配置足够使用，一般不需要进行调优
  redis:
    host: 127.0.0.1 # 地址
    port: 6379 # 端口
    database: 10 # 数据库索引
    #  password: 123456 # 密码，建议生产环境开启

--- #################### 地代码平台相关配置 ####################

# 芋道配置项，设置当前项目所有自定义的配置
jeelowcode:
  captcha:
    enable: false # 本地环境，暂时关闭图片验证码，方便登录等接口的测试；
  demo: false # 关闭演示模式
  debug: true #是否开启调试模式
  #AES加解密 key 重新生成AesUtil.genAesKey()
  aesKey: O2BEeIv399qHQNhD6aGW8R8DEj4bqHXm